package com.ruoyi.project.reliability.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 装置风险清单对象 t_device_risk
 *
 * @author ruoyi
 * @date 2022-07-07
 */
public class TDeviceRisk extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一ID */
    private Long id;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 状态 1 ：正常 ；0：删除 */
    private Long delFlag;

    /** 区域 */
    @Excel(name = "区域")
    private String area;

    /** 等级 */
    @Excel(name = "等级")
    private Long diskLevel;

    /** 原因 */
    @Excel(name = "原因")
    private String reason;

    /** 处理类型 */
    @Excel(name = "处理类型")
    private Long handleType;

    /** 风险 */
    @Excel(name = "风险")
    private String disk;

    /** 发现日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "发现日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date discoveryDate;

    /** 计划消除日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "计划消除日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planRemoveDate;

    /** 实际消除日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "实际消除日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date actualDate;

    /** 处理方法 */
    @Excel(name = "处理方法")
    private String handleMethods;

    /** 应急预案 */
    @Excel(name = "应急预案")
    private String emergencyPlan;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setArea(String area)
    {
        this.area = area;
    }

    public String getArea()
    {
        return area;
    }
    public void setDiskLevel(Long diskLevel)
    {
        this.diskLevel = diskLevel;
    }

    public Long getDiskLevel()
    {
        return diskLevel;
    }
    public void setReason(String reason)
    {
        this.reason = reason;
    }

    public String getReason()
    {
        return reason;
    }
    public void setHandleType(Long handleType)
    {
        this.handleType = handleType;
    }

    public Long getHandleType()
    {
        return handleType;
    }
    public void setDisk(String disk)
    {
        this.disk = disk;
    }

    public String getDisk()
    {
        return disk;
    }
    public void setDiscoveryDate(Date discoveryDate)
    {
        this.discoveryDate = discoveryDate;
    }

    public Date getDiscoveryDate()
    {
        return discoveryDate;
    }
    public void setPlanRemoveDate(Date planRemoveDate)
    {
        this.planRemoveDate = planRemoveDate;
    }

    public Date getPlanRemoveDate()
    {
        return planRemoveDate;
    }
    public void setActualDate(Date actualDate)
    {
        this.actualDate = actualDate;
    }

    public Date getActualDate()
    {
        return actualDate;
    }
    public void setHandleMethods(String handleMethods)
    {
        this.handleMethods = handleMethods;
    }

    public String getHandleMethods()
    {
        return handleMethods;
    }
    public void setEmergencyPlan(String emergencyPlan)
    {
        this.emergencyPlan = emergencyPlan;
    }

    public String getEmergencyPlan()
    {
        return emergencyPlan;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("area", getArea())
            .append("diskLevel", getDiskLevel())
            .append("reason", getReason())
            .append("handleType", getHandleType())
            .append("disk", getDisk())
            .append("discoveryDate", getDiscoveryDate())
            .append("planRemoveDate", getPlanRemoveDate())
            .append("actualDate", getActualDate())
            .append("handleMethods", getHandleMethods())
            .append("emergencyPlan", getEmergencyPlan())
            .toString();
    }
}
